---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    Each PostgreSQL major of the pinned release… Reference for the GET
    /api/v1/database-services/{id}/major-upgrade endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Get the major upgrade
  badge: GET
title: Get the major upgrade
type: openapi-operation
---
Each PostgreSQL major of the pinned release that is newer than the major of the service (ADR 2026-10-22 D9), with its minors and why Check cannot take a minor, the default minor (the newest minor with a build of the current TimescaleDB version and of the current version of each extension), the version of each extension after the upgrade (P1, D5, P9), and its blockers. available is the next major. The report of the last Check, the state of the last Upgrade (with the fingerprint that an air-gapped console needs a grant for), the removal of the files of the earlier major (P4), and the rollback to the earlier major after a Copy upgrade (D8) with its last run.

`GET /api/v1/database-services/{id}/major-upgrade`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "available": {
    "blockers": [
      "string"
    ],
    "extensions": [
      {
        "follows_major": true,
        "from": "string",
        "kept": true,
        "name": "string",
        "to": "string"
      }
    ],
    "from": "string",
    "major": "string",
    "minor": "string",
    "minors": [
      {
        "eligible": true,
        "minor": "string",
        "reason": "string"
      }
    ],
    "missing_optional": [
      "string"
    ],
    "release": "string"
  },
  "cleanup": {
    "available": true,
    "old_major": "string",
    "refusal": "string"
  },
  "last_check": {
    "backup": {
      "can_back_up": true,
      "configured": true,
      "last_backup_at": "string",
      "running": true
    },
    "current": true,
    "modes": [
      {
        "disk_bytes": 0,
        "disk_ok": true,
        "free_bytes": 0,
        "mode": "link",
        "passed": true,
        "rebuild_seconds": 0,
        "reserve_bytes": 0,
        "window_seconds": 0
      }
    ],
    "passed": true,
    "plan": {
      "blockers": [
        "string"
      ],
      "extensions": [
        {
          "follows_major": true,
          "from": "string",
          "kept": true,
          "name": "string",
          "to": "string"
        }
      ],
      "from": "string",
      "major": "string",
      "minor": "string",
      "minors": [
        {
          "eligible": true,
          "minor": "string",
          "reason": "string"
        }
      ],
      "missing_optional": [
        "string"
      ],
      "release": "string"
    },
    "rows": [
      {
        "check": "packages",
        "database": "string",
        "detail": "string",
        "mode": "link",
        "parameter": "string",
        "server": "string",
        "status": "pass"
      }
    ],
    "started_at": "string",
    "status": "running",
    "window_seconds": 0,
    "workflow_id": "string"
  },
  "last_rollback": {
    "from": "string",
    "grant_wait": {
      "account_id": "string",
      "fingerprint": "string",
      "license_id": "string"
    },
    "no_return": true,
    "rebuild": [
      "string"
    ],
    "stanza_pending": true,
    "started_at": "string",
    "status": "running",
    "to": "string",
    "workflow_id": "string"
  },
  "last_upgrade": {
    "forward_only": true,
    "from": "string",
    "grant_wait": {
      "account_id": "string",
      "fingerprint": "string",
      "license_id": "string"
    },
    "mode": "link",
    "no_return": true,
    "rebuild": [
      "string"
    ],
    "reverted": true,
    "rollback_only": true,
    "rolled_back": true,
    "started_at": "string",
    "status": "running",
    "to": "string",
    "workflow_id": "string"
  },
  "reconciling": true,
  "refusal": "string",
  "rollback": {
    "available": true,
    "before_start": true,
    "continue": true,
    "old_major": "string",
    "refusal": "string"
  },
  "stanza_pending": true,
  "targets": [
    {
      "blockers": [
        "string"
      ],
      "extensions": [
        {
          "follows_major": true,
          "from": "string",
          "kept": true,
          "name": "string",
          "to": "string"
        }
      ],
      "from": "string",
      "major": "string",
      "minor": "string",
      "minors": [
        {
          "eligible": true,
          "minor": "string",
          "reason": "string"
        }
      ],
      "missing_optional": [
        "string"
      ],
      "release": "string"
    }
  ]
}
```
